<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/TrapBase/Trap_Bear.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d6f/_trap___bear_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Trap_Bear.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/d6f/_trap___bear_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d8/dec/class_trap_base.html">    1</a></span><span class="keyword">class </span>BearTrap <span class="keyword">extends</span> <a class="code hl_class" href="../../d8/dec/class_trap_base.html">TrapBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d8/dec/class_trap_base.html#af38c5a5913976bb6e8fa9336a5630b81">    3</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> RAYCAST_SOURCES_COUNT = 5;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    <span class="comment">// Raycasts start positions:</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    <span class="comment">// Positions are local to model. Vertical offset prevents ground collision.</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d8/dec/class_trap_base.html#a3a756337fbbc7bb0114fdc7ac125d77f">    6</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> m_RaycastSources[<a class="code hl_variable" href="../../d8/dec/class_trap_base.html#af38c5a5913976bb6e8fa9336a5630b81">RAYCAST_SOURCES_COUNT</a>] = {</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <span class="stringliteral">&quot;0.0 0.1 0.0&quot;</span>,  <span class="comment">// center</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        <span class="stringliteral">&quot;0.2 0.1 0.2&quot;</span>,  <span class="comment">// north east</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <span class="stringliteral">&quot;-.2 0.1 0.2&quot;</span>,  <span class="comment">// north west</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <span class="stringliteral">&quot;0.2 0.1 -0.2&quot;</span>, <span class="comment">// south east</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <span class="stringliteral">&quot;-0.2 0.1 -0.2&quot;</span> <span class="comment">// south west</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    };</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d8/dec/class_trap_base.html#a48e16b13b60fed7c8dfb6e321bca6084">   14</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dec/class_trap_base.html#a48e16b13b60fed7c8dfb6e321bca6084">BearTrap</a>()</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    {</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <a class="code hl_variable" href="../../dd/dd8/_trap_base_8c.html#ac45c00c32c19647f4e038f85c180a0e5">m_DamagePlayers</a>             = 5;                <span class="comment">// How much damage player gets when caught</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <a class="code hl_variable" href="../../dd/dd8/_trap_base_8c.html#ae44b005b77cf9c90f89b08c2a996b019">m_DamageOthers</a>              = 5;                <span class="comment">// How much damage other entities(CreatureAI) gets when caught</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <a class="code hl_variable" href="../../dd/dd8/_trap_base_8c.html#a065465201074b5f13d75b7d91db6facc">m_DefectRate</a>                = 0;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <a class="code hl_variable" href="../../dd/dd8/_trap_base_8c.html#ab356033c77d459948a36eac7dd6a2eb9">m_InitWaitTime</a>              = 0;                <span class="comment">// After this time after deployment, the trap is activated</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <a class="code hl_variable" href="../../dd/dd8/_trap_base_8c.html#a59d2be4e8c91bd135a1adeef74b3985a">m_AnimationPhaseGrounded</a>    = <span class="stringliteral">&quot;placing&quot;</span>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <a class="code hl_variable" href="../../dd/dd8/_trap_base_8c.html#a8e3a770cc95dc558b9b1d7c5c5f2eebd">m_AnimationPhaseSet</a>         = <span class="stringliteral">&quot;BearTrap_Set&quot;</span>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <a class="code hl_variable" href="../../dd/dd8/_trap_base_8c.html#a040da04c77b049d7e43219a2fe30cd3d">m_AnimationPhaseTriggered</a>   = <span class="stringliteral">&quot;placing&quot;</span>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d8/dec/class_trap_base.html#a9e1d6b582f566d581853c491b28cd920">   25</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/dec/class_trap_base.html#a9e1d6b582f566d581853c491b28cd920">CanBeDisarmed</a>()</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../d8/dec/class_trap_base.html#af7f14064b4b872edd0e55953f3921892">   30</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dec/class_trap_base.html#af7f14064b4b872edd0e55953f3921892">EEHealthLevelChanged</a>(<span class="keywordtype">int</span> oldLevel, <span class="keywordtype">int</span> newLevel, <span class="keywordtype">string</span> zone)</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        super.EEHealthLevelChanged(oldLevel, newLevel, zone);</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer())</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>            <span class="keywordflow">if</span> (newLevel == <a class="code hl_class" href="../../d2/d68/group___emote_i_ds.html#da/d45/class_game_constants">GameConstants</a>.<a class="code hl_variable" href="../../de/db5/group___item_health.html#ga3908fcde0f2e91545d7e3a51fab2d5d0">STATE_RUINED</a>)</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>            {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>                <a class="code hl_function" href="../../dd/dd8/_trap_base_8c.html#a9c02237ebda40c6716cb82c807c89e89">SetInactive</a>();</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d8/dec/class_trap_base.html#a35c0d41a8f08b86ab2063bdc81a34b65">   43</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dec/class_trap_base.html#a35c0d41a8f08b86ab2063bdc81a34b65">CreateTrigger</a>()</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        super.CreateTrigger();</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> mins     = <span class="stringliteral">&quot;-0.1 -0.05 -0.1&quot;</span>;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> maxs     = <span class="stringliteral">&quot;0.1 0.4 0.1&quot;</span>;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span> </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <a class="code hl_variable" href="../../dd/dd8/_trap_base_8c.html#afa4899c37d495901cb139b2e50555923">m_TrapTrigger</a>.SetOrientation(<a class="code hl_function" href="../../dd/d93/_object_8c.html#a25741202afb6807f192843d19acb37a4">GetOrientation</a>());</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <a class="code hl_variable" href="../../dd/dd8/_trap_base_8c.html#afa4899c37d495901cb139b2e50555923">m_TrapTrigger</a>.<a class="code hl_function" href="../../d1/d4b/class_trigger.html#a73c5812d3476cee4fa5d862ce9c03265">SetExtents</a>(mins, maxs);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <a class="code hl_variable" href="../../dd/dd8/_trap_base_8c.html#afa4899c37d495901cb139b2e50555923">m_TrapTrigger</a>.<a class="code hl_function" href="../../dd/d01/class_trap_trigger.html#ac3a2b22839a818e941e18efe308d937d">SetParentObject</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../d8/dec/class_trap_base.html#a98468e6543cdb6c81ca86237989eb706">   55</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dec/class_trap_base.html#a98468e6543cdb6c81ca86237989eb706">OnUpdate</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> victim)</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <span class="keywordflow">if</span> (victim &amp;&amp; victim.IsInherited(<a class="code hl_class" href="../../de/d59/class_car_script.html">CarScript</a>))</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        {</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>            <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> wheel = <a class="code hl_function" href="../../dd/dd8/_trap_base_8c.html#a84805c92b8d5792a3f11d2204c941b05">GetClosestCarWheel</a>(victim);</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            <span class="keywordflow">if</span> (wheel)</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            {</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>                <a class="code hl_function" href="../../d8/dec/class_trap_base.html#a13a88a03d3e4bf01c5a57a7a9072bc15">OnServerSteppedOn</a>(wheel, <span class="stringliteral">&quot;&quot;</span>);</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    }</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../d8/dec/class_trap_base.html#a2f27129cccbe8f3b61923f57e97e11b4">   67</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dec/class_trap_base.html#a2f27129cccbe8f3b61923f57e97e11b4">OnSteppedOn</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> victim)</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() &amp;&amp; victim)</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        {</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            <span class="keywordflow">if</span> (!victim.GetAllowDamage())</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>            {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>                <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            }</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>            </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>            <a class="code hl_class" href="../../d2/ded/class_zombie_base.html">ZombieBase</a> zombie;</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>            <span class="keywordflow">if</span> (victim.IsInherited(<a class="code hl_class" href="../../de/d59/class_car_script.html">CarScript</a>))</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>            {</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>                Param1&lt;EntityAI&gt; params = <span class="keyword">new</span> Param1&lt;EntityAI&gt;(victim);</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>                <a class="code hl_variable" href="../../d7/dc2/_radial_menu_8c.html#ad2e26b3579a09b0f5513be82ec80b04e">m_UpdateTimer</a>.Run(<a class="code hl_variable" href="../../dd/dd8/_trap_base_8c.html#a2406f7b22951ec022c12d6469a9549b4">UPDATE_TIMER_INTERVAL</a>, <span class="keyword">this</span>, <span class="stringliteral">&quot;OnUpdate&quot;</span>, params, <span class="keyword">true</span>);</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span> </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>                <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            }</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>            {</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>                <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; <a class="code hl_variable" href="../../d8/dec/class_trap_base.html#af38c5a5913976bb6e8fa9336a5630b81">RAYCAST_SOURCES_COUNT</a>; ++i)</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>                {</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>                    <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> raycast_start_pos            = <a class="code hl_function" href="../../dd/d93/_object_8c.html#a845762581213782c89018d40fc70855f">ModelToWorld</a>(m_RaycastSources[i]);</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>                    <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> raycast_end_pos              = <span class="stringliteral">&quot;0 0.5 0&quot;</span> + raycast_start_pos;</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>                    </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>                    <a class="code hl_class" href="../../d9/da4/class_raycast_r_v_params.html">RaycastRVParams</a> rayInput            = <span class="keyword">new</span> <a class="code hl_class" href="../../d9/da4/class_raycast_r_v_params.html">RaycastRVParams</a>(raycast_start_pos, raycast_end_pos, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>                    rayInput.<a class="code hl_variable" href="../../d9/da4/class_raycast_r_v_params.html#af093c590a8f6e3610e50dde845edeaeb">flags</a>                      = <a class="code hl_enumeration" href="../../d6/dae/group___debug_shape.html#ga51f3cfd13ef7752ddd89ea32bcccd7d5">CollisionFlags</a>.ALLOBJECTS;</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>                    rayInput.<a class="code hl_variable" href="../../d9/da4/class_raycast_r_v_params.html#accefb54bff7ed8a8b5ba1c03d0288162">type</a>                       = ObjIntersectFire;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>                    rayInput.<a class="code hl_variable" href="../../d9/da4/class_raycast_r_v_params.html#a8d1936df4c82f8b0b19987eb9d38a840">radius</a>                     = 0.05;</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>                    <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref RaycastRVResult&gt;</a> results  = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref RaycastRVResult&gt;</a>;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>            </div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>                    <span class="keywordflow">if</span> (<a class="code hl_class" href="../../d3/d27/class_day_z_physics.html">DayZPhysics</a>.<a class="code hl_function" href="../../d3/d27/class_day_z_physics.html#aebf9250c5ced81e09a1bd2aa923b7c42">RaycastRVProxy</a>(rayInput, results))</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>                    {</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>                        <a class="code hl_class" href="../../de/d3a/class_raycast_r_v_result.html">RaycastRVResult</a> res;</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>                        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> j = 0; j &lt; results.Count(); j++)</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>                        {</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>                            <a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> contact_obj = results[j].<a class="code hl_variable" href="../../d2/d41/classarray.html#afcdcae1403eb6ef31bc8f60a98b5c24f">obj</a>;</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>                            <span class="keywordflow">if</span> (contact_obj &amp;&amp; !contact_obj.IsInherited(<a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>) &amp;&amp; contact_obj.IsAlive())</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>                            {</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>                                <a class="code hl_function" href="../../d8/dec/class_trap_base.html#a13a88a03d3e4bf01c5a57a7a9072bc15">OnServerSteppedOn</a>(contact_obj, contact_obj.GetDamageZoneNameByComponentIndex(results[j].component));</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>                                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>                            }</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>                        }</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>                    }</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>                }</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>                <a class="code hl_function" href="../../d8/dec/class_trap_base.html#a13a88a03d3e4bf01c5a57a7a9072bc15">OnServerSteppedOn</a>(victim, <span class="stringliteral">&quot;zone_leg_random&quot;</span>);</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>            }</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        }</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsDedicatedServer()) </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        {</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>            <span class="keywordflow">if</span> (victim)</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>            {</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>                <span class="keywordflow">if</span> (victim.IsInherited(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>))</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>                {</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>                    victim.SpawnDamageDealtEffect();</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>                }</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span> </div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>                <a class="code hl_function" href="../../d8/dec/class_trap_base.html#a4b90bd044f11bdc21d81f6e20ef7fa60">PlaySoundBiteLeg</a>();</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>            }</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        }</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    }</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    </div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno"><a class="line" href="../../d8/dec/class_trap_base.html#af7a7fc18ec1c3de19dc640e577e08555">  129</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dec/class_trap_base.html#af7a7fc18ec1c3de19dc640e577e08555">OnSteppedOut</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> victim)</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>    {</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        <span class="keywordflow">if</span> (victim.IsInherited(<a class="code hl_class" href="../../de/d59/class_car_script.html">CarScript</a>))</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        {</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>            <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d7/dc2/_radial_menu_8c.html#ad2e26b3579a09b0f5513be82ec80b04e">m_UpdateTimer</a> &amp;&amp; <a class="code hl_variable" href="../../d7/dc2/_radial_menu_8c.html#ad2e26b3579a09b0f5513be82ec80b04e">m_UpdateTimer</a>.IsRunning())</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>            {</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>                <a class="code hl_variable" href="../../d7/dc2/_radial_menu_8c.html#ad2e26b3579a09b0f5513be82ec80b04e">m_UpdateTimer</a>.Stop();</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>            }</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        }</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    }</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>    </div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno"><a class="line" href="../../d8/dec/class_trap_base.html#a13a88a03d3e4bf01c5a57a7a9072bc15">  140</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dec/class_trap_base.html#a13a88a03d3e4bf01c5a57a7a9072bc15">OnServerSteppedOn</a>(<a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> obj, <span class="keywordtype">string</span> damageZone)</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    {</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        <span class="keywordflow">if</span> (obj.IsInherited(<a class="code hl_class" href="../../d6/d22/class_car_wheel.html">CarWheel</a>))</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>        {</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>            obj.ProcessDirectDamage(<a class="code hl_enumeration" href="../../de/dba/_damage_system_8c.html#afce48e0416f4e1a1a8c79629bbbf602d">DamageType</a>.CLOSE_COMBAT, <span class="keyword">this</span>, damageZone, <span class="stringliteral">&quot;BearTrapHit_CarWheel&quot;</span>, <span class="stringliteral">&quot;0 0 0&quot;</span>, 1);</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>            <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d7/dc2/_radial_menu_8c.html#ad2e26b3579a09b0f5513be82ec80b04e">m_UpdateTimer</a>.IsRunning())</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>            {</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>                <a class="code hl_variable" href="../../d7/dc2/_radial_menu_8c.html#ad2e26b3579a09b0f5513be82ec80b04e">m_UpdateTimer</a>.Stop();</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>            }</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>            </div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>            <a class="code hl_function" href="../../dd/dd8/_trap_base_8c.html#a9c02237ebda40c6716cb82c807c89e89">SetInactive</a>(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>            <a class="code hl_function" href="../../dd/dd8/_trap_base_8c.html#a6c0d25d6f7749f82555d4b073214eb8f">Synch</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a>.Cast(obj));</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>            </div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        }</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        </div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>        <a class="code hl_class" href="../../d2/ded/class_zombie_base.html">ZombieBase</a> zombie;</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        <span class="keywordtype">string</span> zoneUsed = damageZone;</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        </div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        <span class="keywordflow">if</span> (damageZone == <span class="stringliteral">&quot;zone_leg_random&quot;</span>)</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>        {</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>            zoneUsed = <span class="stringliteral">&quot;LeftLeg&quot;</span>;</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>            <span class="keywordflow">if</span> (<a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gafbc28855d0d24deda2fbdd3229c6bac2">RandomIntInclusive</a>(0, 1) == 1)</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>            {</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>                zoneUsed = <span class="stringliteral">&quot;RightLeg&quot;</span>;</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>            }</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        }</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        </div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        <span class="keywordflow">if</span> (obj.IsInherited(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>) || (<a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(zombie,obj) &amp;&amp; !zombie.IsCrawling() &amp;&amp; <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gafbc28855d0d24deda2fbdd3229c6bac2">RandomIntInclusive</a>(0, 1) == 1))</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>        {</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>            <a class="code hl_function" href="../../d8/dec/class_trap_base.html#af358c09486b7c729a814ecad7e3bd0a3">CauseVictimToStartLimping</a>(obj, <span class="stringliteral">&quot;&quot;</span>);</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>        }</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>        </div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>        obj.ProcessDirectDamage(<a class="code hl_enumeration" href="../../de/dba/_damage_system_8c.html#afce48e0416f4e1a1a8c79629bbbf602d">DamageType</a>.CLOSE_COMBAT, <span class="keyword">this</span>, zoneUsed, <span class="stringliteral">&quot;BearTrapHit&quot;</span>, <span class="stringliteral">&quot;0 0 0&quot;</span>, 1);</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>        </div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>        <a class="code hl_function" href="../../dd/dd8/_trap_base_8c.html#a9c02237ebda40c6716cb82c807c89e89">SetInactive</a>(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>        <a class="code hl_function" href="../../dd/dd8/_trap_base_8c.html#a6c0d25d6f7749f82555d4b073214eb8f">Synch</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a>.Cast(obj));</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>    }</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>    </div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>    <span class="comment">// Causes the player to start limping. This is temporary and should at some point be replaced by broken legs</span></div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno"><a class="line" href="../../d8/dec/class_trap_base.html#af358c09486b7c729a814ecad7e3bd0a3">  181</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dec/class_trap_base.html#af358c09486b7c729a814ecad7e3bd0a3">CauseVictimToStartLimping</a>(<a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> obj, <span class="keywordtype">string</span> damagedZone)</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>    {</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>        <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player;</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>        <a class="code hl_class" href="../../d2/ded/class_zombie_base.html">ZombieBase</a> zombie;</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>        <span class="keywordflow">if</span> (<a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(player,obj))</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>        {</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>            player.DamageAllLegs(player.GetMaxHealth() * 2); <span class="comment">//reduce legs health (not regular DamageSystem damage, does not transfer!)</span></div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>        }</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (<a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(zombie,obj))</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>        {</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>            zombie.SetHealth(<span class="stringliteral">&quot;LeftLeg&quot;</span>,<span class="stringliteral">&quot;Health&quot;</span>,0.0);</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>            zombie.SetHealth(<span class="stringliteral">&quot;RightLeg&quot;</span>,<span class="stringliteral">&quot;Health&quot;</span>,0.0);</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>        }</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>    }</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>    </div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno"><a class="line" href="../../d8/dec/class_trap_base.html#a4b90bd044f11bdc21d81f6e20ef7fa60">  196</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dec/class_trap_base.html#a4b90bd044f11bdc21d81f6e20ef7fa60">PlaySoundBiteLeg</a>()</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>    {</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>        <a class="code hl_class" href="../../d9/d89/class_effect_sound.html">EffectSound</a> sound = <a class="code hl_class" href="../../d2/d03/class_s_effect_manager.html">SEffectManager</a>.<a class="code hl_function" href="../../d2/d03/class_s_effect_manager.html#aa05a7b24ec51456db8c32cf2e4b099ef">PlaySound</a>(<span class="stringliteral">&quot;beartrapCloseDamage_SoundSet&quot;</span>, <a class="code hl_variable" href="../../d3/d3a/_underground_area_loader_8c.html#af4b5180d61f839c99de2d15fdcda4568">GetPosition</a>(), 0, 0, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>        sound.<a class="code hl_function" href="../../d9/d89/class_effect_sound.html#a2cc90aea49a8e5dfad08b37632ec21ee">SetAutodestroy</a>(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>    }</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>    </div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno"><a class="line" href="../../d8/dec/class_trap_base.html#a3c688680483cb0813a32bd56ae97d6b9">  202</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dec/class_trap_base.html#a3c688680483cb0813a32bd56ae97d6b9">PlaySoundBiteEmpty</a>()</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>    {</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>        <a class="code hl_class" href="../../d9/d89/class_effect_sound.html">EffectSound</a> sound = <a class="code hl_class" href="../../d2/d03/class_s_effect_manager.html">SEffectManager</a>.<a class="code hl_function" href="../../d2/d03/class_s_effect_manager.html#aa05a7b24ec51456db8c32cf2e4b099ef">PlaySound</a>(<span class="stringliteral">&quot;beartrapClose_SoundSet&quot;</span>, <a class="code hl_variable" href="../../d3/d3a/_underground_area_loader_8c.html#af4b5180d61f839c99de2d15fdcda4568">GetPosition</a>(), 0, 0, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>        sound.<a class="code hl_function" href="../../d9/d89/class_effect_sound.html#a2cc90aea49a8e5dfad08b37632ec21ee">SetAutodestroy</a>(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>    }</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>    </div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno"><a class="line" href="../../d8/dec/class_trap_base.html#a08584de75572acea61e9382a4654b29f">  208</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dec/class_trap_base.html#a08584de75572acea61e9382a4654b29f">PlaySoundOpen</a>()</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>    {</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>        <a class="code hl_class" href="../../d9/d89/class_effect_sound.html">EffectSound</a> sound = <a class="code hl_class" href="../../d2/d03/class_s_effect_manager.html">SEffectManager</a>.<a class="code hl_function" href="../../d2/d03/class_s_effect_manager.html#aa05a7b24ec51456db8c32cf2e4b099ef">PlaySound</a>(<span class="stringliteral">&quot;beartrapOpen_SoundSet&quot;</span>, <a class="code hl_variable" href="../../d3/d3a/_underground_area_loader_8c.html#af4b5180d61f839c99de2d15fdcda4568">GetPosition</a>(), 0, 0, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>        sound.<a class="code hl_function" href="../../d9/d89/class_effect_sound.html#a2cc90aea49a8e5dfad08b37632ec21ee">SetAutodestroy</a>(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>    }</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span> </div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno"><a class="line" href="../../d8/dec/class_trap_base.html#a39d748bcd0cc25c23067222e1897fb71">  214</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dec/class_trap_base.html#a39d748bcd0cc25c23067222e1897fb71">OnActivate</a>()</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>    {</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span><span class="preprocessor">        #ifndef SERVER</span></div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>        <a class="code hl_function" href="../../d8/dec/class_trap_base.html#a08584de75572acea61e9382a4654b29f">PlaySoundOpen</a>();</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>    }</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>    </div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno"><a class="line" href="../../d8/dec/class_trap_base.html#a5ac721b05f30f41129d22ae5156316d2">  221</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dec/class_trap_base.html#a5ac721b05f30f41129d22ae5156316d2">OnDisarm</a>()</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>    {</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span><span class="preprocessor">        #ifndef SERVER</span></div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>        <a class="code hl_function" href="../../d8/dec/class_trap_base.html#a3c688680483cb0813a32bd56ae97d6b9">PlaySoundBiteEmpty</a>();</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>    }</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>    </div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>    <span class="comment">//================================================================</span></div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>    <span class="comment">// ADVANCED PLACEMENT</span></div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>    <span class="comment">//================================================================</span></div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>    </div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno"><a class="line" href="../../d8/dec/class_trap_base.html#a882fb980c2e81cf2f313434929cd649f">  232</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dec/class_trap_base.html#a882fb980c2e81cf2f313434929cd649f">OnPlacementComplete</a>(Man player, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> position = <span class="stringliteral">&quot;0 0 0&quot;</span>, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> orientation = <span class="stringliteral">&quot;0 0 0&quot;</span>)</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>    {</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>        super.OnPlacementComplete(player, position, orientation);</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>        </div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer())</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>        {</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>            <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player_PB = <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>.Cast(player);</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>            <a class="code hl_function" href="../../dd/dd8/_trap_base_8c.html#acf9c82ef825d2ca5d8edb53b89ba20c6">StartActivate</a>(player_PB);</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>            </div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>            <a class="code hl_variable" href="../../dd/dd8/_trap_base_8c.html#afa4899c37d495901cb139b2e50555923">m_TrapTrigger</a>.SetPosition(position);</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>            <a class="code hl_variable" href="../../dd/dd8/_trap_base_8c.html#afa4899c37d495901cb139b2e50555923">m_TrapTrigger</a>.SetOrientation(orientation);</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>        }   </div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>    }</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>    </div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno"><a class="line" href="../../d8/dec/class_trap_base.html#aca6dafea75a9634626a0210102c9357c">  246</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/dec/class_trap_base.html#aca6dafea75a9634626a0210102c9357c">IsDeployable</a>()</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>    {</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>    }</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>    </div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno"><a class="line" href="../../d8/dec/class_trap_base.html#a38ba82430c8652da6361126781c7383a">  251</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d8/dec/class_trap_base.html#a38ba82430c8652da6361126781c7383a">GetLoopDeploySoundset</a>()</div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>    {</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;beartrap_deploy_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>    }</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>    </div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno"><a class="line" href="../../d8/dec/class_trap_base.html#aeaff7a7498570759e37dcf7f983aff9e">  256</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dec/class_trap_base.html#aeaff7a7498570759e37dcf7f983aff9e">SetActions</a>()</div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>    {</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>        super.SetActions();</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>        </div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../db/d02/class_action_clap_bear_trap_with_this_item.html">ActionClapBearTrapWithThisItem</a>);</div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d8/d94/class_action_toggle_place_object.html">ActionTogglePlaceObject</a>);</div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_function" href="../../dc/d59/_action_deploy_object_8c.html#a1eb6c584b29789b9c360df2d769c22a8">ActionDeployObject</a>);</div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span>    }</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span> </div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span><span class="preprocessor">#ifdef DEVELOPER    </span></div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>    <span class="comment">//================================================================</span></div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span>    <span class="comment">// DEBUG</span></div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span>    <span class="comment">//================================================================</span></div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span>            </div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span>    <span class="comment">//Debug menu Spawn Ground Special</span></div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_variable" href="../../db/df7/_hatchback__02_8c.html#a07e1fe7c5e95b4ef7987be52d7fdf51c">OnDebugSpawn</a>()</div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span>    {</div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span>        <a class="code hl_function" href="../../dd/dd8/_trap_base_8c.html#acf9c82ef825d2ca5d8edb53b89ba20c6">StartActivate</a>(null);</div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>    }</div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span>    </div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dbb/_fireplace_base_8c.html#add7373fc8492b0821fd03c0692256f5c">GetDebugButtonNames</a>(out <span class="keywordtype">string</span> button1, out <span class="keywordtype">string</span> button2, out <span class="keywordtype">string</span> button3, out <span class="keywordtype">string</span> button4)</div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span>    {</div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span>        button1 = <span class="stringliteral">&quot;Activate&quot;</span>;</div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span>        button2 = <span class="stringliteral">&quot;Deactivate&quot;</span>;</div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span>    }</div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span>    </div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno">  282</span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dbb/_fireplace_base_8c.html#a46c79f6a4908c367de361cddfae5dd0a">OnDebugButtonPressServer</a>(<span class="keywordtype">int</span> button_index)</div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno">  283</span>    {</div>
<div class="line"><a id="l00284" name="l00284"></a><span class="lineno">  284</span>        <span class="keywordflow">switch</span> (button_index)</div>
<div class="line"><a id="l00285" name="l00285"></a><span class="lineno">  285</span>        {</div>
<div class="line"><a id="l00286" name="l00286"></a><span class="lineno">  286</span>            <span class="keywordflow">case</span> 1:</div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno">  287</span>                <a class="code hl_function" href="../../dd/dd8/_trap_base_8c.html#acf9c82ef825d2ca5d8edb53b89ba20c6">StartActivate</a>(null);</div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno">  288</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno">  289</span>            <span class="keywordflow">case</span> 2:</div>
<div class="line"><a id="l00290" name="l00290"></a><span class="lineno">  290</span>                <a class="code hl_function" href="../../dd/dd8/_trap_base_8c.html#a9c02237ebda40c6716cb82c807c89e89">SetInactive</a>();</div>
<div class="line"><a id="l00291" name="l00291"></a><span class="lineno">  291</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00292" name="l00292"></a><span class="lineno">  292</span>        }</div>
<div class="line"><a id="l00293" name="l00293"></a><span class="lineno">  293</span>        </div>
<div class="line"><a id="l00294" name="l00294"></a><span class="lineno">  294</span>    }</div>
<div class="line"><a id="l00295" name="l00295"></a><span class="lineno">  295</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00296" name="l00296"></a><span class="lineno">  296</span>}</div>
<div class="ttc" id="a_action_deploy_object_8c_html_a1eb6c584b29789b9c360df2d769c22a8"><div class="ttname"><a href="../../dc/d59/_action_deploy_object_8c.html#a1eb6c584b29789b9c360df2d769c22a8">ActionDeployObject</a></div><div class="ttdeci">PlaceObjectActionReciveData ActionReciveData ActionDeployObject()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d59/_action_deploy_object_8c_source.html#l00001">ActionDeployObject.c:9</a></div></div>
<div class="ttc" id="a_advanced_communication_8c_html_a033d077df58807906c4dad3101d8768c"><div class="ttname"><a href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a></div><div class="ttdeci">void AddAction(typename actionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dfd/_advanced_communication_8c_source.html#l00220">AdvancedCommunication.c:220</a></div></div>
<div class="ttc" id="a_damage_system_8c_html_afce48e0416f4e1a1a8c79629bbbf602d"><div class="ttname"><a href="../../de/dba/_damage_system_8c.html#afce48e0416f4e1a1a8c79629bbbf602d">DamageType</a></div><div class="ttdeci">DamageType</div><div class="ttdoc">exposed from C++ (do not change)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dba/_damage_system_8c_source.html#l00010">DamageSystem.c:11</a></div></div>
<div class="ttc" id="a_fireplace_base_8c_html_a46c79f6a4908c367de361cddfae5dd0a"><div class="ttname"><a href="../../d8/dbb/_fireplace_base_8c.html#a46c79f6a4908c367de361cddfae5dd0a">OnDebugButtonPressServer</a></div><div class="ttdeci">override void OnDebugButtonPressServer(int button_index)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dbb/_fireplace_base_8c_source.html#l02880">FireplaceBase.c:2880</a></div></div>
<div class="ttc" id="a_fireplace_base_8c_html_add7373fc8492b0821fd03c0692256f5c"><div class="ttname"><a href="../../d8/dbb/_fireplace_base_8c.html#add7373fc8492b0821fd03c0692256f5c">GetDebugButtonNames</a></div><div class="ttdeci">override void GetDebugButtonNames(out string button1, out string button2, out string button3, out string button4)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dbb/_fireplace_base_8c_source.html#l02874">FireplaceBase.c:2874</a></div></div>
<div class="ttc" id="a_hatchback__02_8c_html_a07e1fe7c5e95b4ef7987be52d7fdf51c"><div class="ttname"><a href="../../db/df7/_hatchback__02_8c.html#a07e1fe7c5e95b4ef7987be52d7fdf51c">OnDebugSpawn</a></div><div class="ttdeci">class Hatchback_02_Blue extends Hatchback_02 OnDebugSpawn</div><div class="ttdef"><b>Definition:</b> <a href="../../db/df7/_hatchback__02_8c_source.html#l00001">Hatchback_02.c:462</a></div></div>
<div class="ttc" id="a_object_8c_html_a25741202afb6807f192843d19acb37a4"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a25741202afb6807f192843d19acb37a4">GetOrientation</a></div><div class="ttdeci">proto native vector GetOrientation()</div><div class="ttdoc">Retrieve orientation (yaw, pitch, roll) in degrees</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbe/_area_damage_manager_8c_source.html#l00306">AreaDamageManager.c:306</a></div></div>
<div class="ttc" id="a_object_8c_html_a845762581213782c89018d40fc70855f"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a845762581213782c89018d40fc70855f">ModelToWorld</a></div><div class="ttdeci">vector ModelToWorld(vector modelPos)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d93/_object_8c_source.html#l00708">Object.c:708</a></div></div>
<div class="ttc" id="a_radial_menu_8c_html_ad2e26b3579a09b0f5513be82ec80b04e"><div class="ttname"><a href="../../d7/dc2/_radial_menu_8c.html#ad2e26b3579a09b0f5513be82ec80b04e">m_UpdateTimer</a></div><div class="ttdeci">protected ref Timer m_UpdateTimer</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dc2/_radial_menu_8c_source.html#l00020">RadialMenu.c:20</a></div></div>
<div class="ttc" id="a_trap_base_8c_html_a040da04c77b049d7e43219a2fe30cd3d"><div class="ttname"><a href="../../dd/dd8/_trap_base_8c.html#a040da04c77b049d7e43219a2fe30cd3d">m_AnimationPhaseTriggered</a></div><div class="ttdeci">string m_AnimationPhaseTriggered</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd8/_trap_base_8c_source.html#l00034">TrapBase.c:34</a></div></div>
<div class="ttc" id="a_trap_base_8c_html_a065465201074b5f13d75b7d91db6facc"><div class="ttname"><a href="../../dd/dd8/_trap_base_8c.html#a065465201074b5f13d75b7d91db6facc">m_DefectRate</a></div><div class="ttdeci">float m_DefectRate</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd8/_trap_base_8c_source.html#l00019">TrapBase.c:19</a></div></div>
<div class="ttc" id="a_trap_base_8c_html_a2406f7b22951ec022c12d6469a9549b4"><div class="ttname"><a href="../../dd/dd8/_trap_base_8c.html#a2406f7b22951ec022c12d6469a9549b4">UPDATE_TIMER_INTERVAL</a></div><div class="ttdeci">protected const float UPDATE_TIMER_INTERVAL</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd8/_trap_base_8c_source.html#l00015">TrapBase.c:15</a></div></div>
<div class="ttc" id="a_trap_base_8c_html_a59d2be4e8c91bd135a1adeef74b3985a"><div class="ttname"><a href="../../dd/dd8/_trap_base_8c.html#a59d2be4e8c91bd135a1adeef74b3985a">m_AnimationPhaseGrounded</a></div><div class="ttdeci">string m_AnimationPhaseGrounded</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd8/_trap_base_8c_source.html#l00032">TrapBase.c:32</a></div></div>
<div class="ttc" id="a_trap_base_8c_html_a6c0d25d6f7749f82555d4b073214eb8f"><div class="ttname"><a href="../../dd/dd8/_trap_base_8c.html#a6c0d25d6f7749f82555d4b073214eb8f">Synch</a></div><div class="ttdeci">protected void Synch(EntityAI victim)</div><div class="ttdoc">keeping &quot;step&quot; here for consistency only</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd8/_trap_base_8c_source.html#l00306">TrapBase.c:306</a></div></div>
<div class="ttc" id="a_trap_base_8c_html_a84805c92b8d5792a3f11d2204c941b05"><div class="ttname"><a href="../../dd/dd8/_trap_base_8c.html#a84805c92b8d5792a3f11d2204c941b05">GetClosestCarWheel</a></div><div class="ttdeci">protected EntityAI GetClosestCarWheel(EntityAI victim)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd8/_trap_base_8c_source.html#l00685">TrapBase.c:685</a></div></div>
<div class="ttc" id="a_trap_base_8c_html_a8e3a770cc95dc558b9b1d7c5c5f2eebd"><div class="ttname"><a href="../../dd/dd8/_trap_base_8c.html#a8e3a770cc95dc558b9b1d7c5c5f2eebd">m_AnimationPhaseSet</a></div><div class="ttdeci">string m_AnimationPhaseSet</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd8/_trap_base_8c_source.html#l00033">TrapBase.c:33</a></div></div>
<div class="ttc" id="a_trap_base_8c_html_a9c02237ebda40c6716cb82c807c89e89"><div class="ttname"><a href="../../dd/dd8/_trap_base_8c.html#a9c02237ebda40c6716cb82c807c89e89">SetInactive</a></div><div class="ttdeci">void SetInactive(bool stop_timer=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd8/_trap_base_8c_source.html#l00510">TrapBase.c:510</a></div></div>
<div class="ttc" id="a_trap_base_8c_html_ab356033c77d459948a36eac7dd6a2eb9"><div class="ttname"><a href="../../dd/dd8/_trap_base_8c.html#ab356033c77d459948a36eac7dd6a2eb9">m_InitWaitTime</a></div><div class="ttdeci">int m_InitWaitTime</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd8/_trap_base_8c_source.html#l00017">TrapBase.c:17</a></div></div>
<div class="ttc" id="a_trap_base_8c_html_ac45c00c32c19647f4e038f85c180a0e5"><div class="ttname"><a href="../../dd/dd8/_trap_base_8c.html#ac45c00c32c19647f4e038f85c180a0e5">m_DamagePlayers</a></div><div class="ttdeci">float m_DamagePlayers</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd8/_trap_base_8c_source.html#l00020">TrapBase.c:20</a></div></div>
<div class="ttc" id="a_trap_base_8c_html_acf9c82ef825d2ca5d8edb53b89ba20c6"><div class="ttname"><a href="../../dd/dd8/_trap_base_8c.html#acf9c82ef825d2ca5d8edb53b89ba20c6">StartActivate</a></div><div class="ttdeci">void StartActivate(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd8/_trap_base_8c_source.html#l00487">TrapBase.c:487</a></div></div>
<div class="ttc" id="a_trap_base_8c_html_ae44b005b77cf9c90f89b08c2a996b019"><div class="ttname"><a href="../../dd/dd8/_trap_base_8c.html#ae44b005b77cf9c90f89b08c2a996b019">m_DamageOthers</a></div><div class="ttdeci">float m_DamageOthers</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd8/_trap_base_8c_source.html#l00021">TrapBase.c:21</a></div></div>
<div class="ttc" id="a_trap_base_8c_html_afa4899c37d495901cb139b2e50555923"><div class="ttname"><a href="../../dd/dd8/_trap_base_8c.html#afa4899c37d495901cb139b2e50555923">m_TrapTrigger</a></div><div class="ttdeci">protected TrapTrigger m_TrapTrigger</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd8/_trap_base_8c_source.html#l00044">TrapBase.c:44</a></div></div>
<div class="ttc" id="a_underground_area_loader_8c_html_af4b5180d61f839c99de2d15fdcda4568"><div class="ttname"><a href="../../d3/d3a/_underground_area_loader_8c.html#af4b5180d61f839c99de2d15fdcda4568">GetPosition</a></div><div class="ttdeci">class JsonUndergroundAreaTriggerData GetPosition</div><div class="ttdoc">Retrieve position.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3a/_underground_area_loader_8c_source.html#l00001">UndergroundAreaLoader.c:9</a></div></div>
<div class="ttc" id="aclass_action_clap_bear_trap_with_this_item_html"><div class="ttname"><a href="../../db/d02/class_action_clap_bear_trap_with_this_item.html">ActionClapBearTrapWithThisItem</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d69/_action_clap_bear_trap_with_this_item_8c_source.html#l00001">ActionClapBearTrapWithThisItem.c:2</a></div></div>
<div class="ttc" id="aclass_action_toggle_place_object_html"><div class="ttname"><a href="../../d8/d94/class_action_toggle_place_object.html">ActionTogglePlaceObject</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/daf/_action_toggle_place_object_8c_source.html#l00001">ActionTogglePlaceObject.c:2</a></div></div>
<div class="ttc" id="aclass_car_script_html"><div class="ttname"><a href="../../de/d59/class_car_script.html">CarScript</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d47/_civilian_sedan_8c_source.html#l00001">CivilianSedan.c:2</a></div></div>
<div class="ttc" id="aclass_car_wheel_html"><div class="ttname"><a href="../../d6/d22/class_car_wheel.html">CarWheel</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00355">InventoryItem.c:355</a></div></div>
<div class="ttc" id="aclass_day_z_physics_html"><div class="ttname"><a href="../../d3/d27/class_day_z_physics.html">DayZPhysics</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/de4/_day_z_physics_8c_source.html#l00110">DayZPhysics.c:111</a></div></div>
<div class="ttc" id="aclass_day_z_physics_html_aebf9250c5ced81e09a1bd2aa923b7c42"><div class="ttname"><a href="../../d3/d27/class_day_z_physics.html#aebf9250c5ced81e09a1bd2aa923b7c42">DayZPhysics::RaycastRVProxy</a></div><div class="ttdeci">static proto bool RaycastRVProxy(notnull RaycastRVParams in, out notnull array&lt; ref RaycastRVResult &gt; results, array&lt; Object &gt; excluded=null)</div></div>
<div class="ttc" id="aclass_effect_sound_html"><div class="ttname"><a href="../../d9/d89/class_effect_sound.html">EffectSound</a></div><div class="ttdoc">Wrapper class for managing sound through SEffectManager.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d70/_effect_sound_8c_source.html#l00004">EffectSound.c:5</a></div></div>
<div class="ttc" id="aclass_effect_sound_html_a2cc90aea49a8e5dfad08b37632ec21ee"><div class="ttname"><a href="../../d9/d89/class_effect_sound.html#a2cc90aea49a8e5dfad08b37632ec21ee">EffectSound::SetAutodestroy</a></div><div class="ttdeci">override void SetAutodestroy(bool auto_destroy)</div><div class="ttdoc">Sets whether Effect automatically cleans up when it stops.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d70/_effect_sound_8c_source.html#l00587">EffectSound.c:587</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00691">InventoryItem.c:692</a></div></div>
<div class="ttc" id="aclass_object_html"><div class="ttname"><a href="../../d8/d83/class_object.html">Object</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/_object_typed_8c_source.html#l00001">ObjectTyped.c:2</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_raycast_r_v_params_html"><div class="ttname"><a href="../../d9/da4/class_raycast_r_v_params.html">RaycastRVParams</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/de4/_day_z_physics_8c_source.html#l00045">DayZPhysics.c:46</a></div></div>
<div class="ttc" id="aclass_raycast_r_v_params_html_a8d1936df4c82f8b0b19987eb9d38a840"><div class="ttname"><a href="../../d9/da4/class_raycast_r_v_params.html#a8d1936df4c82f8b0b19987eb9d38a840">RaycastRVParams::radius</a></div><div class="ttdeci">float radius</div><div class="ttdoc">radius along the ray tested</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/de4/_day_z_physics_8c_source.html#l00053">DayZPhysics.c:53</a></div></div>
<div class="ttc" id="aclass_raycast_r_v_params_html_accefb54bff7ed8a8b5ba1c03d0288162"><div class="ttname"><a href="../../d9/da4/class_raycast_r_v_params.html#accefb54bff7ed8a8b5ba1c03d0288162">RaycastRVParams::type</a></div><div class="ttdeci">int type</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/de4/_day_z_physics_8c_source.html#l00069">DayZPhysics.c:69</a></div></div>
<div class="ttc" id="aclass_raycast_r_v_params_html_af093c590a8f6e3610e50dde845edeaeb"><div class="ttname"><a href="../../d9/da4/class_raycast_r_v_params.html#af093c590a8f6e3610e50dde845edeaeb">RaycastRVParams::flags</a></div><div class="ttdeci">CollisionFlags flags</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/de4/_day_z_physics_8c_source.html#l00059">DayZPhysics.c:59</a></div></div>
<div class="ttc" id="aclass_raycast_r_v_result_html"><div class="ttname"><a href="../../de/d3a/class_raycast_r_v_result.html">RaycastRVResult</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/de4/_day_z_physics_8c_source.html#l00094">DayZPhysics.c:95</a></div></div>
<div class="ttc" id="aclass_s_effect_manager_html"><div class="ttname"><a href="../../d2/d03/class_s_effect_manager.html">SEffectManager</a></div><div class="ttdoc">Manager class for managing Effect (EffectParticle, EffectSound)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d4d/_effect_manager_8c_source.html#l00005">EffectManager.c:6</a></div></div>
<div class="ttc" id="aclass_s_effect_manager_html_aa05a7b24ec51456db8c32cf2e4b099ef"><div class="ttname"><a href="../../d2/d03/class_s_effect_manager.html#aa05a7b24ec51456db8c32cf2e4b099ef">SEffectManager::PlaySound</a></div><div class="ttdeci">static EffectSound PlaySound(string sound_set, vector position, float play_fade_in=0, float stop_fade_out=0, bool loop=false)</div><div class="ttdoc">Create and play an EffectSound.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d4d/_effect_manager_8c_source.html#l00165">EffectManager.c:165</a></div></div>
<div class="ttc" id="aclass_trap_base_html"><div class="ttname"><a href="../../d8/dec/class_trap_base.html">TrapBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6f/_trap___bear_8c_source.html#l00001">Trap_Bear.c:2</a></div></div>
<div class="ttc" id="aclass_trap_base_html_a08584de75572acea61e9382a4654b29f"><div class="ttname"><a href="../../d8/dec/class_trap_base.html#a08584de75572acea61e9382a4654b29f">TrapBase::PlaySoundOpen</a></div><div class="ttdeci">void PlaySoundOpen()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6f/_trap___bear_8c_source.html#l00208">Trap_Bear.c:208</a></div></div>
<div class="ttc" id="aclass_trap_base_html_a13a88a03d3e4bf01c5a57a7a9072bc15"><div class="ttname"><a href="../../d8/dec/class_trap_base.html#a13a88a03d3e4bf01c5a57a7a9072bc15">TrapBase::OnServerSteppedOn</a></div><div class="ttdeci">protected void OnServerSteppedOn(Object obj, string damageZone)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6f/_trap___bear_8c_source.html#l00140">Trap_Bear.c:140</a></div></div>
<div class="ttc" id="aclass_trap_base_html_a2f27129cccbe8f3b61923f57e97e11b4"><div class="ttname"><a href="../../d8/dec/class_trap_base.html#a2f27129cccbe8f3b61923f57e97e11b4">TrapBase::OnSteppedOn</a></div><div class="ttdeci">override void OnSteppedOn(EntityAI victim)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6f/_trap___bear_8c_source.html#l00067">Trap_Bear.c:67</a></div></div>
<div class="ttc" id="aclass_trap_base_html_a35c0d41a8f08b86ab2063bdc81a34b65"><div class="ttname"><a href="../../d8/dec/class_trap_base.html#a35c0d41a8f08b86ab2063bdc81a34b65">TrapBase::CreateTrigger</a></div><div class="ttdeci">override void CreateTrigger()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6f/_trap___bear_8c_source.html#l00043">Trap_Bear.c:43</a></div></div>
<div class="ttc" id="aclass_trap_base_html_a38ba82430c8652da6361126781c7383a"><div class="ttname"><a href="../../d8/dec/class_trap_base.html#a38ba82430c8652da6361126781c7383a">TrapBase::GetLoopDeploySoundset</a></div><div class="ttdeci">override string GetLoopDeploySoundset()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6f/_trap___bear_8c_source.html#l00251">Trap_Bear.c:251</a></div></div>
<div class="ttc" id="aclass_trap_base_html_a39d748bcd0cc25c23067222e1897fb71"><div class="ttname"><a href="../../d8/dec/class_trap_base.html#a39d748bcd0cc25c23067222e1897fb71">TrapBase::OnActivate</a></div><div class="ttdeci">override void OnActivate()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6f/_trap___bear_8c_source.html#l00214">Trap_Bear.c:214</a></div></div>
<div class="ttc" id="aclass_trap_base_html_a3c688680483cb0813a32bd56ae97d6b9"><div class="ttname"><a href="../../d8/dec/class_trap_base.html#a3c688680483cb0813a32bd56ae97d6b9">TrapBase::PlaySoundBiteEmpty</a></div><div class="ttdeci">void PlaySoundBiteEmpty()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6f/_trap___bear_8c_source.html#l00202">Trap_Bear.c:202</a></div></div>
<div class="ttc" id="aclass_trap_base_html_a48e16b13b60fed7c8dfb6e321bca6084"><div class="ttname"><a href="../../d8/dec/class_trap_base.html#a48e16b13b60fed7c8dfb6e321bca6084">TrapBase::BearTrap</a></div><div class="ttdeci">void BearTrap()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6f/_trap___bear_8c_source.html#l00014">Trap_Bear.c:14</a></div></div>
<div class="ttc" id="aclass_trap_base_html_a4b90bd044f11bdc21d81f6e20ef7fa60"><div class="ttname"><a href="../../d8/dec/class_trap_base.html#a4b90bd044f11bdc21d81f6e20ef7fa60">TrapBase::PlaySoundBiteLeg</a></div><div class="ttdeci">void PlaySoundBiteLeg()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6f/_trap___bear_8c_source.html#l00196">Trap_Bear.c:196</a></div></div>
<div class="ttc" id="aclass_trap_base_html_a5ac721b05f30f41129d22ae5156316d2"><div class="ttname"><a href="../../d8/dec/class_trap_base.html#a5ac721b05f30f41129d22ae5156316d2">TrapBase::OnDisarm</a></div><div class="ttdeci">override void OnDisarm()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6f/_trap___bear_8c_source.html#l00221">Trap_Bear.c:221</a></div></div>
<div class="ttc" id="aclass_trap_base_html_a882fb980c2e81cf2f313434929cd649f"><div class="ttname"><a href="../../d8/dec/class_trap_base.html#a882fb980c2e81cf2f313434929cd649f">TrapBase::OnPlacementComplete</a></div><div class="ttdeci">override void OnPlacementComplete(Man player, vector position=&quot;0 0 0&quot;, vector orientation=&quot;0 0 0&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6f/_trap___bear_8c_source.html#l00232">Trap_Bear.c:232</a></div></div>
<div class="ttc" id="aclass_trap_base_html_a98468e6543cdb6c81ca86237989eb706"><div class="ttname"><a href="../../d8/dec/class_trap_base.html#a98468e6543cdb6c81ca86237989eb706">TrapBase::OnUpdate</a></div><div class="ttdeci">override void OnUpdate(EntityAI victim)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6f/_trap___bear_8c_source.html#l00055">Trap_Bear.c:55</a></div></div>
<div class="ttc" id="aclass_trap_base_html_a9e1d6b582f566d581853c491b28cd920"><div class="ttname"><a href="../../d8/dec/class_trap_base.html#a9e1d6b582f566d581853c491b28cd920">TrapBase::CanBeDisarmed</a></div><div class="ttdeci">override bool CanBeDisarmed()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6f/_trap___bear_8c_source.html#l00025">Trap_Bear.c:25</a></div></div>
<div class="ttc" id="aclass_trap_base_html_aca6dafea75a9634626a0210102c9357c"><div class="ttname"><a href="../../d8/dec/class_trap_base.html#aca6dafea75a9634626a0210102c9357c">TrapBase::IsDeployable</a></div><div class="ttdeci">override bool IsDeployable()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6f/_trap___bear_8c_source.html#l00246">Trap_Bear.c:246</a></div></div>
<div class="ttc" id="aclass_trap_base_html_aeaff7a7498570759e37dcf7f983aff9e"><div class="ttname"><a href="../../d8/dec/class_trap_base.html#aeaff7a7498570759e37dcf7f983aff9e">TrapBase::SetActions</a></div><div class="ttdeci">override void SetActions()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6f/_trap___bear_8c_source.html#l00256">Trap_Bear.c:256</a></div></div>
<div class="ttc" id="aclass_trap_base_html_af358c09486b7c729a814ecad7e3bd0a3"><div class="ttname"><a href="../../d8/dec/class_trap_base.html#af358c09486b7c729a814ecad7e3bd0a3">TrapBase::CauseVictimToStartLimping</a></div><div class="ttdeci">void CauseVictimToStartLimping(Object obj, string damagedZone)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6f/_trap___bear_8c_source.html#l00181">Trap_Bear.c:181</a></div></div>
<div class="ttc" id="aclass_trap_base_html_af38c5a5913976bb6e8fa9336a5630b81"><div class="ttname"><a href="../../d8/dec/class_trap_base.html#af38c5a5913976bb6e8fa9336a5630b81">TrapBase::RAYCAST_SOURCES_COUNT</a></div><div class="ttdeci">static const int RAYCAST_SOURCES_COUNT</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6f/_trap___bear_8c_source.html#l00003">Trap_Bear.c:3</a></div></div>
<div class="ttc" id="aclass_trap_base_html_af7a7fc18ec1c3de19dc640e577e08555"><div class="ttname"><a href="../../d8/dec/class_trap_base.html#af7a7fc18ec1c3de19dc640e577e08555">TrapBase::OnSteppedOut</a></div><div class="ttdeci">override void OnSteppedOut(EntityAI victim)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6f/_trap___bear_8c_source.html#l00129">Trap_Bear.c:129</a></div></div>
<div class="ttc" id="aclass_trap_base_html_af7f14064b4b872edd0e55953f3921892"><div class="ttname"><a href="../../d8/dec/class_trap_base.html#af7f14064b4b872edd0e55953f3921892">TrapBase::EEHealthLevelChanged</a></div><div class="ttdeci">override void EEHealthLevelChanged(int oldLevel, int newLevel, string zone)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6f/_trap___bear_8c_source.html#l00030">Trap_Bear.c:30</a></div></div>
<div class="ttc" id="aclass_trap_trigger_html_ac3a2b22839a818e941e18efe308d937d"><div class="ttname"><a href="../../dd/d01/class_trap_trigger.html#ac3a2b22839a818e941e18efe308d937d">TrapTrigger::SetParentObject</a></div><div class="ttdeci">void SetParentObject(TrapBase obj)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d8c/_trap_trigger_8c_source.html#l00010">TrapTrigger.c:10</a></div></div>
<div class="ttc" id="aclass_trigger_html_a73c5812d3476cee4fa5d862ce9c03265"><div class="ttname"><a href="../../d1/d4b/class_trigger.html#a73c5812d3476cee4fa5d862ce9c03265">Trigger::SetExtents</a></div><div class="ttdeci">void SetExtents(vector mins, vector maxs)</div><div class="ttdoc">Set the size of the Trigger, avoid using SetCollisionBox directly.</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/db2/_trigger_8c_source.html#l00116">Trigger.c:116</a></div></div>
<div class="ttc" id="aclass_zombie_base_html"><div class="ttname"><a href="../../d2/ded/class_zombie_base.html">ZombieBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d5a/_zombie_female_base_8c_source.html#l00001">ZombieFemaleBase.c:2</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="aclassarray_html_afcdcae1403eb6ef31bc8f60a98b5c24f"><div class="ttname"><a href="../../d2/d41/classarray.html#afcdcae1403eb6ef31bc8f60a98b5c24f">array::obj</a></div><div class="ttdeci">Object obj</div><div class="ttdoc">Object inside of box.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00029">IsBoxCollidingGeometryProxyClasses.c:29</a></div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00099">EnConvert.c:100</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___debug_shape_html_ga51f3cfd13ef7752ddd89ea32bcccd7d5"><div class="ttname"><a href="../../d6/dae/group___debug_shape.html#ga51f3cfd13ef7752ddd89ea32bcccd7d5">CollisionFlags</a></div><div class="ttdeci">CollisionFlags</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d19/_en_debug_8c_source.html#l00140">EnDebug.c:141</a></div></div>
<div class="ttc" id="agroup___emote_i_ds_html_da/d45/class_game_constants"><div class="ttname"><a href="../../d2/d68/group___emote_i_ds.html#da/d45/class_game_constants">GameConstants</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00589">constants.c:590</a></div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga253ceb932745ea74ca4a4d3d9e8c12d7"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">Class::CastTo</a></div><div class="ttdeci">static proto bool CastTo(out Class to, Class from)</div><div class="ttdoc">Try to safely down-cast base class to child class.</div></div>
<div class="ttc" id="agroup___item_health_html_ga3908fcde0f2e91545d7e3a51fab2d5d0"><div class="ttname"><a href="../../de/db5/group___item_health.html#ga3908fcde0f2e91545d7e3a51fab2d5d0">GameConstants::STATE_RUINED</a></div><div class="ttdeci">const int STATE_RUINED</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00733">constants.c:733</a></div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_gafbc28855d0d24deda2fbdd3229c6bac2"><div class="ttname"><a href="../../d5/d98/group___math.html#gafbc28855d0d24deda2fbdd3229c6bac2">Math::RandomIntInclusive</a></div><div class="ttdeci">static int RandomIntInclusive(int min, int max)</div><div class="ttdoc">Returns a random int number between and min [inclusive] and max [inclusive].</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00053">EnMath.c:53</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../dir_157d898f3f7001bb53e0a02e45ac0295.html">TrapBase</a></li><li class="navelem"><a class="el" href="../../d7/d6f/_trap___bear_8c.html">Trap_Bear.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
